Welcome to NeoOffice developer notes and announcements
NeoOffice
Developer notes and announcements
 
 

Download or installation problems? Try these steps
Problems after upgrading to NeoOffice 2017? Try these steps


Support
· NeoOffice Support
· NeoWiki


Announcements
· Twitter @NeoOffice


Downloads
· Download NeoOffice


RSS Feeds
· Announcements Only
· All Posts


  
NeoOffice :: View topic - extensions: workaround when 'JRE is Defective' appears
extensions: workaround when 'JRE is Defective' appears
 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoOffice Beta Releases
View previous topic :: View next topic  
Author Message
grahamperrin
Sentinel


Joined: Oct 08, 2004
Posts: 23
Location: Brighton and Hove, United Kingdom

PostPosted: Mon Aug 20, 2012 7:54 am    Post subject: extensions: workaround when 'JRE is Defective' appears Reply with quote

For reference only

I experimented with the recent release of Java for OS X from Oracle –

Code:
macbookpro08-centrim:~ gjp22$ java -version
java version "1.7.0_06"
Java(TM) SE Runtime Environment (build 1.7.0_06-b24)
Java HotSpot(TM) 64-Bit Server VM (build 23.2-b09, mixed mode)


When launching NeoOffice 3.3 Beta 2 Patch 1, the following dialogue appeared:

Quote:
JRE is Defective
!
NeoOffice requires a Java runtime environment (JRE) to perform this task. The selected JRE is defective. Please select another version or install a new JRE and select it under Tools - Options - NeoOffice - Java.
OK


As the dialogue appeared more than once whenever NeoOffice launched, I suspected an issue with extensions.

Workaround

I disabled all extensions that are not integral to NeoOffice.

(As some were disabled, another alert appeared – 'Could not create Java implementation loader'.)

Summary

Probably not an issue with NeoOffice.

At a later date I might review my choice of third party extensions – to see which are incompatible with Java 1.7.0_06 – but there's no rush.

Also noted with thanks

Removing Java from windows, menus, and printing


Last edited by grahamperrin on Mon Aug 20, 2012 8:08 am; edited 1 time in total
Back to top
View user's profile Send private message Visit poster's website AIM Address
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11882
Location: California, USA

PostPosted: Mon Aug 20, 2012 8:06 am    Post subject: Re: extensions: workaround when 'JRE is Defective' appears Reply with quote

grahamperrin wrote:
[I experimented with the recent release of Java for OS X from Oracle –


FYI. NeoOffice only supports Apple's Java versions so I suspect that the problem is not Oracle's Java, but is that you have not installed Apple's Java 1.6 package or you have made changes to Apple's Java files and/or softlinks to get Oracle's Java to run that has broken Apple's Java.

So, if you are running Mac OS X 10.7 Lion or 10.8 Mountain Lion, our recommendation is to download and install Java 1.6 from Apple. You can download it from this Apple tech note.

Then, launch NeoOffice and open the Tools :: Options menu and, in the dialog that appears, select the NeoOffice :: Java item, select Apple's Java 1.6, press the OK button, and restart NeoOffice.

Patrick
Back to top
View user's profile Send private message Visit poster's website
pluby
The Architect
The Architect


Joined: Jun 16, 2003
Posts: 11882
Location: California, USA

PostPosted: Mon Aug 20, 2012 8:24 am    Post subject: Reply with quote

FYI. I have moved this forum topic into the NeoOffice Beta Support forum as the NeoOffice Testing forum is only for testing new features that we have implemented. Since we have not promised nor intend to support Oracle's Java for Mac version, you will not be able to run OpenOffice.org or LibreOffice extensions that require Java 1.7 or higher.

I am not sure if you got NeoOffice to recognize a Java 1.7 installation since NeoOffice explicitly limits Java to only Apple Java 1.5.0 through 1.6.x, but whatever you did certainly will not work and using any non-Apple Java within NeoOffice will, at best, not work and will, at worst, cause crashing and/or hanging.

Patrick
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    NeoOffice Forum Index -> NeoOffice Beta Releases All times are GMT - 7 Hours
Page 1 of 1

 
You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum

Powered by phpBB © 2001, 2005 phpBB Group

All logos and trademarks in this site are property of their respective owner. The comments are property of their posters, all the rest © Planamesa Inc.
NeoOffice is a registered trademark of Planamesa Inc. and may not be used without permission.
PHP-Nuke Copyright © 2005 by Francisco Burzi. This is free software, and you may redistribute it under the GPL. PHP-Nuke comes with absolutely no warranty, for details, see the license.
Page Generation: 0.03 Seconds